Inbound-pushlog and good/bad revisions are shown even when no inbound-bisection has been done.

RESOLVED INCOMPLETE

Status

Testing
mozregression
RESOLVED INCOMPLETE
3 years ago
3 years ago

People

(Reporter: Elbart, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(1 attachment)

1.81 KB, text/plain
Details
(Reporter)

Description

3 years ago
STR:
Use any dates which are guaranteed to have no inbound-builds, like
> mozregression -g 2013-11-18 -b 2013-11-19

Regressed in 0.26.
(Reporter)

Updated

3 years ago
Blocks: 1103440
(Reporter)

Comment 1

3 years ago
Created attachment 8531993 [details]
log.txt
(Reporter)

Updated

3 years ago
Duplicate of this bug: 1107459
I think it is resolved on current master. Output is now:

mozregression -g 2013-06-26 -b 2013-06-27
 0:02.75 LOG: MainThread Bisector INFO Got as far as we can go bisecting nightlies...
 0:02.75 LOG: MainThread Bisector INFO Last good revision: cc80aa0c7c13
 0:02.75 LOG: MainThread Bisector INFO First bad revision: 3b955f306226
 0:02.75 LOG: MainThread Bisector INFO Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=cc80aa0c7c13&tochange=3b955f306226

 0:02.75 LOG: MainThread Bisector INFO ... attempting to bisect inbound builds (starting from previous week, to make sure no inbound revision is missed)
 0:03.61 LOG: MainThread Bisector INFO Getting inbound builds between d2a7cfa34154 and 3b955f306226
 0:22.77 LOG: MainThread Bisector INFO No inbound data found.
 0:22.77 LOG: MainThread Bisector INFO There is no build dirs on inbound for these changesets.
Do you want to bisect further by fetching the repository and building? (y or n):

Is this correct ?
Could you check that it is resolved with latest mozregression (0.33) please ? Note that the last line:

Do you want to bisect further by fetching the repository and building? (y or n):

is no more present because we dropped the support for mozcommitbuilder.
Flags: needinfo?(elbart)
Same thing here, I think this is no more a bug and that we should close this.

Will, any other thoughs ?
Flags: needinfo?(wlachance)
Yep, we handle inbound builds a lot better than we used to.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 3 years ago
Flags: needinfo?(wlachance)
Resolution: --- → INCOMPLETE
Clearing the needinfo flag.
Flags: needinfo?(elbart)
You need to log in before you can comment on or make changes to this bug.